<% provide(:title, "Dependabot GitLab") %>

<%= render partial: "header", locals: { page: "Projects" } %>
<% flash.each do |message_type, message| %>
  <div class="mx-5">
    <%= render partial: "shared/alert", locals: { alert_type: message_type, message: message } %>
  </div>
<% end %>
<div class="d-flex mx-5">
  <div class="container-fluid mt-2">
    <div class="d-flex justify-content-between">
      <div>
        <h2>Projects</h2>
      </div>
      <div>
        <button type="button" class="btn btn-primary" id="new-project" data-bs-toggle="modal" data-bs-target="#newProjectModal">New project</button>
      </div>
    </div>
    <%= render partial: "add_project" %>
    <div data-controller="projects" data-projects-url-value=<%= projects_table_path %>>
      <div class="row bottom-border mt-3 mb-3">
        <ul class="nav nav-tabs bottom-border-0">
          <li class="nav-item" role="presentation">
            <button class="nav-link project-tab active" title="Active projects" id="active-tab" data-bs-toggle="tab" data-bs-target="#active" type="button" data-action="projects#selectTab">Active</button>
          </li>
          <li class="nav-item" role="presentation">
            <button class="nav-link project-tab" title="Projects without configuration" id="inactive-tab" data-bs-toggle="tab" data-bs-target="#inactive" type="button" data-action="projects#selectTab">Inactive</button>
          </li>
          <li class="ms-auto">
            <%= form_with url: projects_table_path,
                          method: :get,
                          id: "filter-form",
                          data: { action: "projects#filter" },
                          class: "form-control border-0 py-0 pe-0 mt-1" do |form| %>
            <%= form.search_field :project_name, placeholder: "Filter by name", id: "search-input", class: "rounded-1", style: "min-width: 300px" %>
            <% end %>
          </li>
        </ul>
      </div>
      <div class="tab-content" id="myTabContent">
        <div class="tab-pane fade show active" id="active" role="tabpanel" data-projects-target="tabPane">
          <div class="spinner-border mt-3" role="status">
            <span class="visually-hidden">Loading...</span>
          </div>
        </div>
        <div class="tab-pane fade" id="inactive" role="tabpanel" data-projects-target="tabPane">
          <div class="spinner-border mt-3" role="status">
            <span class="visually-hidden">Loading...</span>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
